package com.thoughtworks.rettig.dataLoader;

import java.lang.reflect.*;

abstract public class RecursableClass extends LoadableClass{

    public RecursableClass(Class className){
	super(className);
    }
    public boolean canLoad() {
	return false;
    }
    public Object load() {
	throw new java.lang.Error("Load not supported by RecurseLoad Class");
    }
    public boolean canRecurse() {
	return true;
    }

    abstract public  Constructor getRecursiveConstructor();
 }

