package com.thoughtworks.rettig.example;

import junit.framework.Assert;

public class PurchaseOrderAssert extends Assert{

    public static void assertEquals(PurchaseOrder po1, PurchaseOrder po2){
       assertEquals("Business ID", po1.getBusinessID(),po2.getBusinessID());
       assertEquals(po1.getLineItems(),po2.getLineItems());
       assertEquals(po1.getComments(),po2.getComments());
       assertEquals(po1.getProcessingCodes(),po2.getProcessingCodes());
   }

   public static void assertEquals(LineItem[] items1, LineItem[] items2){
       assertEquals("Line Item Array Length", items1.length,items2.length);
       for(int i = 0; i <items1.length ; i++){
	   assertEquals(items1[i],items2[i]); 
       }
   }

   public static void assertEquals(LineItem item1, LineItem item2){
       assertEquals("Item names",item1.getItemName(), item2.getItemName());
       assertEquals("Numer Order", item1.getNumberedOrdered(), item2.getNumberedOrdered());
   }

   public static void assertEquals(String[] str1, String[] str2){
       assertEquals("String array lengths must be equal", str1.length, str2.length);
       for(int i = 0; i<str1.length; i++){
	   assertEquals("String values in array must be equals", str1[i], str2[i]);
       }
   }

   public static void assertEquals(int[] num1, int[] num2){
       assertEquals("int arrays must be equals in length", num1.length, num2.length);
	   for(int i = 0; i<num1.length; i++){
	       assertEquals("numers must be equal", num1[i], num2[i]);
	   }
      
   }
}
