package com.thoughtworks.rettig.loadGenerator;


/**
* Used to find a method based upon a class name
**/

public class MethodFactory{

    public MethodCode get(Class theClass, CodeBuilder builder){
	//System.out.println(theClass.getName());
	if(theClass.isArray()){
	    if(theClass == int[].class){
		return new MethodForIntArray(theClass,builder); 
	    }
	    else{
		return new MethodForArray(theClass,builder); 
	    }
	}
	else if(theClass == int.class){
	    return new MethodForInt(theClass,builder); 
	}
	else if(theClass == String.class){
	    return new MethodForString(theClass,builder);
	}
	else
	    return new MethodForObject(theClass,builder);
    }



}

