package com.thoughtworks.rettig.example.generated;

import junit.framework.*;
import com.thoughtworks.rettig.example.*;
import com.thoughtworks.rettig.util.*;
import com.thoughtworks.rettig.dataLoader.*;

public class TestGeneratedLoad extends TestCase{
    private final static String file = "testFiles\\purchaseOrder\\PurchaseOrder.txt";

    public TestGeneratedLoad(String name){
	super(name);
    }
					     
    public void testLoad()throws Exception{
	SimpleFileIterator iter = new SimpleFileIterator(file);
	PurchaseOrder po = PurchaseOrderLoader.loadPurchaseOrder(iter);
	PurchaseOrderAssert.assertEquals(po, POComparisonObject.getTestData());
    }
}

