package com.thoughtworks.rettig.example.reflection;

import junit.framework.*;
import com.thoughtworks.rettig.example.*;
import com.thoughtworks.rettig.dataLoader.*;
import com.thoughtworks.rettig.util.*;

public class TestReflectionPOLoad extends TestCase{
    private final static String file = "testFiles\\purchaseOrder\\PurchaseOrder.txt";

    public TestReflectionPOLoad(String name){
	super(name);
    }

    public void testLoad()throws Exception{
	Loggable log = ReflectiveObjectLoaderTest.getTestLogger();
	SimpleFileIterator iter = new SimpleFileIterator(file, log);
	LoadManager manager = new SimpleFileLoadManager(iter);
	Object obj = ReflectiveObjectLoader.initializeInstance(PurchaseOrder.class, manager,log);
	PurchaseOrderAssert.assertEquals((PurchaseOrder)obj, POComparisonObject.getTestData());

    }
}
